<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Plugins\Api;

use Magento\Sales\Api\OrderRepositoryInterface as CoreRepoInterface;

class OrderRepositoryInterface
{

    /**
     * @param CoreRepoInterface $subject
     * @param $order
     * @return mixed
     */
    public function afterGet(CoreRepoInterface $subject, $order)
    {
        $extensionAttributes = $order->getExtensionAttributes();

        if (!$extensionAttributes) {
            $extensionAttributes = $this->orderExtensionFactory->create();
            $order->setExtensionAttributes($extensionAttributes);
        }

        $extensionAttributes->setData('coupon_code', $order->getCouponCode());

        return $order;
    }
}

